Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 178539 - Clean up /var/lock/cvs completely in rc.sysinit
Summary: Clean up /var/lock/cvs completely in rc.sysinit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-21 15:39 UTC by Ville Skyttä
Modified: 2014-03-17 02:57 UTC (History)
1 user (show)

Fixed In Version: 8.22-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-31 21:41:22 UTC


Attachments (Terms of Use)
Completely clean up /var/lock/cvs/* at boot (deleted)
2006-01-21 15:39 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2006-01-21 15:39:14 UTC
When initializing a new cvs repository with the FC cvs package, CVSROOT/config
contains a commented out entry for moving locks outside of the actual repository
dirs; that path points to /var/lock/cvs.  In practice, a lot of repositories
which  run cvsweb/viewcvs etc on top of it end up uncommenting this entry in
order to not need to grant Apache write access to the repository dirs.

The dir/file layout created under LockDir mirrors the CVS repository, ie.
subdirs are generated there.  It would be nice to have rc.sysinit clean that up
properly at bootup instead of erroring out on subdirs (and leaving possible
stale locks in it).

Comment 1 Ville Skyttä 2006-01-21 15:39:14 UTC
Created attachment 123528 [details]
Completely clean up /var/lock/cvs/* at boot

Comment 2 Bill Nottingham 2006-01-31 21:41:22 UTC
Added in 8.22-1.


Note You need to log in before you can comment on or make changes to this bug.